cluster: RHEL5 - cman: make sure not to umount configfs when there are other users

Fabio M. Di Nitto fabbione@fedoraproject.org
Wed Jan 21 06:39:00 GMT 2009


Gitweb:        http://git.fedorahosted.org/git/cluster.git?p=cluster.git;a=commitdiff;h=359aa12fbcec49a581166089582c55e3e3e378d1
Commit:        359aa12fbcec49a581166089582c55e3e3e378d1
Parent:        e8555cb4a229c6e36e399b74eedf81e0b904bb6b
Author:        Fabio M. Di Nitto <fdinitto@redhat.com>
AuthorDate:    Thu Aug 7 10:37:13 2008 +0200
Committer:     Fabio M. Di Nitto <fdinitto@redhat.com>
CommitterDate: Wed Jan 21 07:39:00 2009 +0100

cman: make sure not to umount configfs when there are other users

Fix bugzilla: #457991

Signed-off-by: Fabio M. Di Nitto <fdinitto@redhat.com>
---
 cman/init.d/cman |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/cman/init.d/cman b/cman/init.d/cman
index 35b121b..b900f13 100755
--- a/cman/init.d/cman
+++ b/cman/init.d/cman
@@ -379,7 +379,7 @@ stop_configfs()
 {
     awk '{ print $2 }' /etc/mtab | grep "/sys/kernel/config" &> /dev/null\
     && awk '{ print $3 }' /etc/mtab | grep "configfs" &> /dev/null
-    if [ $? -eq 0 ]
+    if [ $? -eq 0 ] && [ -z "$(ls -1 /sys/kernel/config)" ]
     then
 	errmsg=$( /bin/umount /sys/kernel/config 2>&1 )
 	if [ $? -ne 0 ]



More information about the Cluster-cvs mailing list